ForkOptions (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.tasks.compile

## [Java] Class ForkOptions

- org.gradle.api.tasks.compile.ForkOptions

- Fork options for Java compilation. Only take effect if `CompileOptions.fork` is `true`.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `String` | `getExecutable()` Returns the compiler executable to be used.
    `String` | `getTempDir()` Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process.
    `void` | `setExecutable(String executable)` Sets the compiler executable to be used.
    `void` | `setTempDir(String tempDir)` Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseForkOptions` | `excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected boolean excludeFromAntProperties(String fieldName)

    - #### @Input @Optional public String getExecutable()

      Returns the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

    - #### public String getTempDir()

      Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.

    - #### public void setExecutable(String executable)

      Sets the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

    - #### public void setTempDir(String tempDir)

      Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.